if select(2, UnitClass("PLAYER")) ~= "ROGUE" then return DisableAddOn("ToTTeR") end

local frame = CreateFrame("Frame", "ToTTeRAddonFrame")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")

local function eventHandler(self, event, ...) -- Create the macros if they don't already exist

	if not GetMacroInfo("MT ToTT") then
			numCharacter = GetNumMacros()
			CreateMacro("MT ToTT", 1, "#showtooltip\n/cast [target=] Tricks of the Trade", numCharacter < MAX_CHARACTER_MACROS and 1 or 0)
	end

	if not GetMacroInfo("OT ToTT") then
			numCharacter = GetNumMacros()
			CreateMacro("OT ToTT", 1, "#showtooltip\n/cast [target=] Tricks of the Trade", numCharacter < MAX_CHARACTER_MACROS and 1 or 0)
	end

	if not GetMacroInfo("Rogue ToTT") then
			numCharacter = GetNumMacros()
			CreateMacro("Rogue ToTT", 1, "#showtooltip\n/cast [target=] Tricks of the Trade", numCharacter < MAX_CHARACTER_MACROS and 1 or 0)
	end



end

frame:SetScript("OnEvent", eventHandler)

function AssignMT()

	if UnitExists("target") then
		local whichUnit = UnitName("target")

		if not InCombatLockdown() then
			EditMacro("MT ToTT", nil, nil, format("#showtooltip\n/cast [target=%s] Tricks of the Trade", whichUnit))
			print(format("ToTTeR: Main tank macro set to %s", whichUnit))
		else
			print("Unable to edit macros in combat. Please try again later.")
		end
	else
		print("You don't have a target.")
		PlaySoundFile("Sound\\Character\\Dwarf\\DwarfMaleErrorMessages\\DwarfMale_err_genericnotarget01.wav")
	end

end

function AssignOT()

	if UnitExists("target") then
		local whichUnit = UnitName("target")

		if not InCombatLockdown() then
			EditMacro("OT ToTT", nil, nil, format("#showtooltip\n/cast [target=%s] Tricks of the Trade", whichUnit))
			print(format("ToTTeR: Off tank macro set to %s", whichUnit))
		else
			print("Unable to edit macros in combat. Please try again later.")
		end
	else
		print("You don't have a target.")
		PlaySoundFile("Sound\\Character\\Dwarf\\DwarfMaleErrorMessages\\DwarfMale_err_genericnotarget01.wav")
	end

end

function AssignRogue()

	if UnitExists("target") then
		local whichUnit = UnitName("target")

		if not InCombatLockdown() then
			EditMacro("Rogue ToTT", nil, nil, format("#showtooltip\n/cast [target=%s] Tricks of the Trade", whichUnit))
			print(format("ToTTeR: Rogue macro set to %s", whichUnit))
		else
			print("Unable to edit macros in combat. Please try again later.")
		end
	else
		print("You don't have a target.")
		PlaySoundFile("Sound\\Character\\Dwarf\\DwarfMaleErrorMessages\\DwarfMale_err_genericnotarget01.wav")
	end

end

BINDING_NAME_ASSIGNMT = "Assign Main Tank"
BINDING_NAME_ASSIGNOT = "Assign Off Tank"
BINDING_NAME_ASSIGNROGUE = "Assign Rogue"